Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::LFBandCodec Class Reference

A class specially for coding the LF subbands. More...

`#include <band_codec.h>`

Inheritance diagram for dirac::LFBandCodec:
[legend]
Collaboration diagram for dirac::LFBandCodec:
[legend]

List of all members.

## Public Member Functions

- LFBandCodec (SubbandByteIO *subband_byteio, size_t number_of_contexts, const SubbandList &band_list, int band_num, const bool is_intra)
    Constructor.

## Private Member Functions

- void DoWorkCode (CoeffArray &in_data)
- void DoWorkDecode (CoeffArray &out_data)
- void CodeCoeffBlock (const CodeBlock &code_block, CoeffArray &in_data)
- void DecodeCoeffBlock (const CodeBlock &code_block, CoeffArray &out_data)
- LFBandCodec (const LFBandCodec &cpy)
    Private, bodyless copy constructor: class should not be copied.
- LFBandCodec & operator= (const LFBandCodec &rhs)
    Private, bodyless copy operator=: class should not be assigned.

## Detailed Description

A class specially for coding the LF subbands, where we don't want to/can't refer to the parent subband.

## Constructor & Destructor Documentation

dirac::LFBandCodec::LFBandCodec | ( | SubbandByteIO * | subband_byteio,
|  | size_t | number_of_contexts,
|  | const SubbandList & | band_list,
|  | int | band_num,
|  | const bool | is_intra |
| ) |  |  | `[inline]`

Creates a LFBandCodec object to encode subband data.

Parameters:

  | subband_byteio | input/output for the encoded bits
  | number_of_contexts | the number of contexts used in the encoding process
  | band_list | the set of all the subbands
  | band_num | the number of the subband being coded
  | is_intra | Flag indicating whether the band comes from an intra picture

dirac::LFBandCodec::LFBandCodec | ( | const LFBandCodec & | cpy | ) | `[private]`

## Member Function Documentation

void dirac::LFBandCodec::DoWorkCode | ( | CoeffArray & | in_data | ) | `[private, virtual]`

Reimplemented from dirac::BandCodec.

void dirac::LFBandCodec::DoWorkDecode | ( | CoeffArray & | out_data | ) | `[private, virtual]`

Reimplemented from dirac::BandCodec.

void dirac::LFBandCodec::CodeCoeffBlock | ( | const CodeBlock & | code_block,
|  | CoeffArray & | in_data |
| ) |  |  | `[private, virtual]`

Reimplemented from dirac::BandCodec.

void dirac::LFBandCodec::DecodeCoeffBlock | ( | const CodeBlock & | code_block,
|  | CoeffArray & | out_data |
| ) |  |  | `[private, virtual]`

Reimplemented from dirac::BandCodec.

LFBandCodec& dirac::LFBandCodec::operator= | ( | const LFBandCodec & | rhs | ) | `[private]`

The documentation for this class was generated from the following file:

- band_codec.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.